new
curl --request GET \
--url https://api.jup.ag/tokens/v1/new \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/tokens/v1/new"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/tokens/v1/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jup.ag/tokens/v1/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jup.ag/tokens/v1/new"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jup.ag/tokens/v1/new")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jup.ag/tokens/v1/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"created_at": "2023-11-07T05:31:56Z",
"decimals": 123,
"known_markets": [
"<string>"
],
"metadata_updated_at": "2023-11-07T05:31:56Z",
"mint": "<string>",
"name": "<string>",
"symbol": "<string>",
"freeze_authority": "<string>",
"logo_uri": "<string>",
"mint_authority": "<string>"
}
]New
deprecated
Returns new tokens with metadata, created at timestamp and markets. Tokens API V1 is deprecated, please use Tokens API V2 instead
GET
/
new
new
curl --request GET \
--url https://api.jup.ag/tokens/v1/new \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/tokens/v1/new"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/tokens/v1/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jup.ag/tokens/v1/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jup.ag/tokens/v1/new"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jup.ag/tokens/v1/new")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jup.ag/tokens/v1/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"created_at": "2023-11-07T05:31:56Z",
"decimals": 123,
"known_markets": [
"<string>"
],
"metadata_updated_at": "2023-11-07T05:31:56Z",
"mint": "<string>",
"name": "<string>",
"symbol": "<string>",
"freeze_authority": "<string>",
"logo_uri": "<string>",
"mint_authority": "<string>"
}
]This endpoint is part of the Tokens API V1 which has been superseded by Tokens V2. Use Tokens V2 for all new integrations.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
How many records to output in the result
The offset into the result set. Used in conjunction with
limit to page through the data.
Response
200 - application/json
List of new tokens which are tradable with SOL
Was this page helpful?
